HPL_numrocI(3)

NAME
HPL_numrocI - Compute the local number of row/columns.

SYNOPSIS
#include "hpl.h"

int HPL_numrocI( const int N, const int I, const int INB, const int NB, const int PROC, const int SRCPROC, const int NPROCS );

DESCRIPTION
HPL_numrocI returns the local number of matrix rows/columns process PROC will get if we give out N rows/columns starting from global index I.

ARGUMENTS

N       (input)                 const int
    On entry, N specifies the number of rows/columns being dealt out. N must be at least zero.

I       (input)                 const int
    On entry, I specifies the global index of the matrix entry I must be at least zero.

INB     (input)                 const int
    On entry, INB specifies the size of the first block of th global matrix. INB must be at least one.

NB      (input)                 const int
    On entry, NB specifies the blocking factor used to partition and distribute the matrix A. NB must be larger than one.

PROC    (input)                 const int
    On entry, PROC specifies the coordinate of the process whos local portion is determined. PROC must be at least zero an strictly less than NPROCS.

SRCPROC (input)                 const int
    On entry, SRCPROC specifies the coordinate of the proces that possesses the first row or column of the matrix. SRCPRO must be at least zero and strictly less than NPROCS.

NPROCS  (input)                 const int
    On entry, NPROCS specifies the total number of process row or columns over which the matrix is distributed. NPROCS mus be at least one.

SEE ALSO
HPL_indxg2l (3), HPL_indxg2lp (3), HPL_indxg2p (3), HPL_indxl2g (3), HPL_numroc (3).